tests/test-gendoc
changeset 9485 7d6ac5d7917c
parent 9446 57d682d7d2da
child 10282 08a0f04b56bd
--- a/tests/test-gendoc	Sun Sep 27 10:04:51 2009 +0200
+++ b/tests/test-gendoc	Sun Sep 27 10:12:02 2009 +0200
@@ -3,10 +3,19 @@
 "$TESTDIR/hghave" rst2html || exit 80
 RST2HTML=$(which rst2html 2> /dev/null || which rst2html.py)
 
-echo "checking for syntax errors in gendoc.py"
-python $TESTDIR/../doc/gendoc.py > gendoc.txt || exit
+HGENCODING=UTF-8
+export HGENCODING
 
-# We run rst2html over the file without adding "--halt warning" to
-# make it report all errors instead of stopping on the first one.
-echo "checking for parse errors with rst2html"
-$RST2HTML gendoc.txt /dev/null
+for PO in C $TESTDIR/../i18n/*.po; do
+    LOCALE=$(basename $PO .po)
+    echo
+    echo "% extracting documentation from $LOCALE"
+    echo ".. -*- coding: utf-8 -*-" > gendoc-$LOCALE.txt
+    echo "" >> gendoc-$LOCALE.txt
+    LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt || exit
+
+    # We run rst2html over the file without adding "--halt warning" to
+    # make it report all errors instead of stopping on the first one.
+    echo "checking for parse errors with rst2html"
+    $RST2HTML gendoc-$LOCALE.txt /dev/null
+done